You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@openoffice.apache.org by ji...@apache.org on 2016/10/04 16:05:23 UTC

svn commit: r1763294 - in /openoffice/devtools/build-scripts/4.1.3/unxmacos: ./ build_aoo64bit_on_osx10.11.sh

Author: jim
Date: Tue Oct  4 16:05:23 2016
New Revision: 1763294

URL: http://svn.apache.org/viewvc?rev=1763294&view=rev
Log:
OSX build script

Added:
    openoffice/devtools/build-scripts/4.1.3/unxmacos/
    openoffice/devtools/build-scripts/4.1.3/unxmacos/build_aoo64bit_on_osx10.11.sh   (with props)

Added: openoffice/devtools/build-scripts/4.1.3/unxmacos/build_aoo64bit_on_osx10.11.sh
URL: http://svn.apache.org/viewvc/openoffice/devtools/build-scripts/4.1.3/unxmacos/build_aoo64bit_on_osx10.11.sh?rev=1763294&view=auto
==============================================================================
--- openoffice/devtools/build-scripts/4.1.3/unxmacos/build_aoo64bit_on_osx10.11.sh (added)
+++ openoffice/devtools/build-scripts/4.1.3/unxmacos/build_aoo64bit_on_osx10.11.sh Tue Oct  4 16:05:23 2016
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+if [ ! -d ../main -o ! -d sal ] ; then
+	echo "CHDIR into AOO's main/ directory first!"
+	exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+	JAVA_HOME=$(/usr/libexec/java_home)
+	export JAVA_HOME
+	echo "Setting JAVA_HOME to $JAVA_HOME..."
+fi
+
+if [ ! -e external/unowinreg/unowinreg.dll ] ; then
+	echo "Downloading unowinreg.dll..."
+	curl -o external/unowinreg/unowinreg.dll http://www.openoffice.org/tools/unowinreg_prebuild/680/unowinreg.dll
+fi
+
+LANGS="ast bg ca ca-XR ca-XV cs da de el en-GB en-US es eu fi fr gd gl he hi hu it ja kid km ko lt nb nl pl pt pt-BR ru sk sl sr sv ta th tr vi zh-CN zh-TW"
+
+if [ ! -e ./configure ] ; then
+	echo "Running autoconf..."
+	autoconf || exit 1
+fi
+./configure   \
+	--with-build-version="$(date +"%Y-%m-%d %H:%M") - `uname -sm`" \
+	--enable-verbose \
+	--enable-crashdump=yes \
+	--enable-category-b \
+	--enable-wiki-publisher \
+	--enable-bundled-dictionaries \
+	--with-junit=/usr/local/share/java/junit.jar \
+	--without-stlport \
+	--with-package-format="installed" \
+	--with-lang="${LANGS}" 
+
+./bootstrap || exit 1
+source ./MacOSXX64Env.Set.sh || exit 1 
+cd instsetoo_native
+perl "$SOLARENV/bin/build.pl" --all -P4 -- -P4 || exit 1
+#cd util
+#dmake ooolanguagepack || exit 1
+#dmake sdkoo_en-US || exit 1 
+
+date "+Build ended at %H:%M:%S"
+

Propchange: openoffice/devtools/build-scripts/4.1.3/unxmacos/build_aoo64bit_on_osx10.11.sh
------------------------------------------------------------------------------
    svn:executable = *